/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* get path name for controlling terminal */
#include <stdio.h>
#include <stdlib.h>

int main() {
    char *s;
    char *result;

    result = ctermid(s);
    printf("the terminal pathname is '%s'.\n",result);    
}
